;(function(){
	window.applist={
		mod:'',
		init:function(){
			this.mod=util.getUrlParam('module');
			CONFIG.api=this.mod=='recommend'?CONFIG.recapi:CONFIG.hotapi;
			//自动加载更多，在 ul 里面加载更多数据，触发条件如下
			$(document).scroll(function () {
				if ($(document).scrollTop() + $(window).height() == $(document).height()){
					//alert('此处调用加载更多数据函数即可');
					//此处调用加载更多数据函数即可
					$('#floatingCirclesG').show();
					applist.loaddata();
				}
			});

			applist.loaddata();
			var pagtitle=this.mod=='recommend'?'应用推荐':'热门游戏';
			document.title=pagtitle;
			$('#page_title').text(pagtitle);
		},
		loaddata:function(){
			$.ajax({
                type: "GET",
                url: util.getapi(CONFIG.api+CONFIG.page),
                dataType:'json',
                success: function(msg){
                    CONFIG.data=msg.result.list;
                    applist.layout();
                    if(CONFIG.data)CONFIG.page+=1;
                    $('#floatingCirclesG').hide();
                }
            });
		},
		layout:function(){
			var tpl=$('#template').html();
			var len=CONFIG.data.length;
			var html=$('#applist').html();
			for (var i = 0; i < len; i++) {
				var item=CONFIG.data[i];
				html+=util.sprintf(tpl,
					item.appId,item.appIconUrl,
					item.appId,this.mod,item.appName,
					this.fuzzydata(item.downNum),item.packageSize,
					item.downUrl
				);
			};
			$('#applist').html(html);
		},
		fuzzydata:function(num){
			var data=['万','0万','百万','千万','亿'];
			var level=0;
			var first=1;
			var leveldata=0;
			for(i=0;i<5;i++){
				leveldata=Math.pow(10,i+4);
				if(num>leveldata){
					level=i;
					first=Math.ceil(num/leveldata);
				}
			}
			return first+data[level];
		}
	};
})();